Eclipse 3.0.1 not starting

Discussions

Web tier: servlets, JSP, Web frameworks: Eclipse 3.0.1 not starting

  1. Eclipse 3.0.1 not starting (6 messages)

    Hi All,

             I have downloaded Eclipse 3.0.1 and unzipped the file and then I double clicked oin the eclipse.exe file but it is showing error message. By seeing the log file I even put the Xerces.jar file in my classpath but it still not working showing the problem.I am clueless Please help me it very urgent I am pasting the exceptions.Please help me....

    thanks,
    Ashok.

    !SESSION Jan 17, 2005 10:17:31.651 ---------------------------------------------
    eclipse.buildId=M200409161125
    java.version=1.3.1_01
    java.vendor=Sun Microsystems Inc.
    BootLoader constants: OS=win32, ARCH=x86, WS=win32, NL=en_US

    !ENTRY org.eclipse.osgi Jan 17, 2005 10:17:31.651
    !MESSAGE Error registering XML parser services.
    !STACK 0
    java.lang.ClassNotFoundException: javax.xml.parsers.SAXParserFactory
    at java.net.URLClassLoader$1.run(Unknown Source)
    at java.security.AccessController.doPrivileged(Native Method)
    at java.net.URLClassLoader.findClass(Unknown Source)
    at java.lang.ClassLoader.loadClass(Unknown Source)
    at java.lang.ClassLoader.loadClass(Unknown Source)
    at java.lang.ClassLoader.loadClassInternal(Unknown Source)
    at java.lang.Class.forName0(Native Method)
    at java.lang.Class.forName(Unknown Source)
    at org.eclipse.core.runtime.adaptor.EclipseAdaptor.registerEndorsedXMLParser(EclipseAdaptor.java:272)
    at org.eclipse.core.runtime.adaptor.EclipseAdaptor.frameworkStart(EclipseAdaptor.java:253)
    at org.eclipse.osgi.framework.internal.core.SystemBundleActivator.start(SystemBundleActivator.java:61)
    at org.eclipse.osgi.framework.internal.core.BundleContextImpl$1.run(BundleContextImpl.java:958)
    at java.security.AccessController.doPrivileged(Native Method)
    at org.eclipse.osgi.framework.internal.core.BundleContextImpl.startActivator(BundleContextImpl.java:954)
    at org.eclipse.osgi.framework.internal.core.BundleContextImpl.start(BundleContextImpl.java:937)
    at org.eclipse.osgi.framework.internal.core.StartLevelManager.resumeBundles(StartLevelManager.java:553)
    at org.eclipse.osgi.framework.internal.core.StartLevelManager.incFWSL(StartLevelManager.java:477)
    at org.eclipse.osgi.framework.internal.core.StartLevelManager.doSetStartLevel(StartLevelManager.java:273)
    at org.eclipse.osgi.framework.internal.core.StartLevelManager.launch(StartLevelManager.java:243)
    at org.eclipse.osgi.framework.internal.core.SystemBundle.resume(SystemBundle.java:166)
    at org.eclipse.osgi.framework.internal.core.Framework.launch(Framework.java:425)
    at org.eclipse.osgi.framework.internal.core.OSGi.launch(OSGi.java:51)
    at org.eclipse.core.runtime.adaptor.EclipseStarter.startup(EclipseStarter.java:216)
    at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:127)
    at java.lang.reflect.Method.invoke(Native Method)
    at org.eclipse.core.launcher.Main.basicRun(Main.java:185)
    at org.eclipse.core.launcher.Main.run(Main.java:704)
    at org.eclipse.core.launcher.Main.main(Main.java:688)

    !ENTRY org.eclipse.osgi Jan 17, 2005 10:17:31.701
    !MESSAGE Startup error
    !STACK 1
    java.lang.NoClassDefFoundError: org/xml/sax/helpers/DefaultHandler
    at java.lang.ClassLoader.defineClass0(Native Method)
    at java.lang.ClassLoader.defineClass(Unknown Source)
    at java.security.SecureClassLoader.defineClass(Unknown Source)
    at java.net.URLClassLoader.defineClass(Unknown Source)
    at java.net.URLClassLoader.access$100(Unknown Source)
    at java.net.URLClassLoader$1.run(Unknown Source)
    at java.security.AccessController.doPrivileged(Native Method)
    at java.net.URLClassLoader.findClass(Unknown Source)
    at java.lang.ClassLoader.loadClass(Unknown Source)
    at java.lang.ClassLoader.loadClass(Unknown Source)
    at java.lang.ClassLoader.loadClassInternal(Unknown Source)
    at org.eclipse.core.runtime.adaptor.PluginConverterImpl.parsePluginInfo(PluginConverterImpl.java:557)
    at org.eclipse.core.runtime.adaptor.PluginConverterImpl.fillPluginInfo(PluginConverterImpl.java:111)
    at org.eclipse.core.runtime.adaptor.PluginConverterImpl.convertManifest(PluginConverterImpl.java:660)
    at org.eclipse.core.runtime.adaptor.EclipseBundleData.generateManifest(EclipseBundleData.java:233)
    at org.eclipse.core.runtime.adaptor.EclipseBundleData.loadManifest(EclipseBundleData.java:191)
    at org.eclipse.core.runtime.adaptor.EclipseBundleData.getManifest(EclipseBundleData.java:159)
    at org.eclipse.core.runtime.adaptor.EclipseBundleData.loadFromManifest(EclipseBundleData.java:280)
    at org.eclipse.osgi.framework.internal.defaultadaptor.DefaultBundleData.initializeNewBundle(DefaultBundleData.java:77)
    at org.eclipse.osgi.framework.internal.defaultadaptor.DefaultAdaptor$1.begin(DefaultAdaptor.java:451)
    at org.eclipse.osgi.framework.internal.core.Framework.installWorkerPrivileged(Framework.java:746)
    at org.eclipse.osgi.framework.internal.core.Framework$2.run(Framework.java:664)
    at java.security.AccessController.doPrivileged(Native Method)
    at org.eclipse.osgi.framework.internal.core.Framework.installWorker(Framework.java:715)
    at org.eclipse.osgi.framework.internal.core.Framework.installBundle(Framework.java:659)
    at org.eclipse.osgi.framework.internal.core.BundleContextImpl.installBundle(BundleContextImpl.java:219)
    at org.eclipse.core.runtime.adaptor.EclipseStarter.installBundles(EclipseStarter.java:800)
    at org.eclipse.core.runtime.adaptor.EclipseStarter.loadBasicBundles(EclipseStarter.java:429)
    at org.eclipse.core.runtime.adaptor.EclipseStarter.startup(EclipseStarter.java:222)
    at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:127)
    at java.lang.reflect.Method.invoke(Native Method)
    at org.eclipse.core.launcher.Main.basicRun(Main.java:185)
    at org.eclipse.core.launcher.Main.run(Main.java:704)
    at org.eclipse.core.launcher.Main.main(Main.java:688)

    !ENTRY org.eclipse.osgi Jan 17, 2005 10:17:31.711
    !MESSAGE Bundle initial@reference:file:e:/Softwares/eclipse-SDK-3.0.1-win32/eclipse/plugins/org.eclipse.core.runtime_3.0.1/ [1] was not resolved.

    Threaded Messages (6)

  2. Eclipse 3.0.1 not starting[ Go to top ]

    Hi Ashok,

    I was using Eclipse fine for some time....then I got the exact same error. I don't know what caused it. I got around it by deleting my workspace and creating another workspace.

    Mike
  3. Eclipse 3.0.1 not starting[ Go to top ]

    Hi,
         I am using the Eclipse 3.0.1 I just unzipped the ZIP file and trying to start the application by double clicking on the eclipse.exe file there is no chance of removing the workspace etc..

    thanks,
    Ashok
  4. Eclipse 3.0.1 not starting[ Go to top ]

    Ashok,

     Create a short cut for your eclipse exe on desktop and set the target on this shortcut properties as
    C:\eclipse.exe -vm "c:\jdk142\jre\bin\javaw" -vmargs -Xmx256M

    This will point it to the correct jvmm version and the startup properly.

    Shiva
  5. Eclipse 3.0.1 not starting[ Go to top ]

    Hi,
       it is working now. The problem is because of the conflict between the Sun Virtual machine and the IBM virtual machine.Thanks any why for your great help.....

    Ashok.
  6. Eclipse 3.0.1 not starting[ Go to top ]

    Hi,

    I was also getting the same error and I followed the instructions and finally it got resolved.

    Thanks for your help!


    Can we do the same thing by setting the corresponding directory of javaw.exe into PATH environmental variable?

    Regards,
    Liyakhat
  7. Eclipse 3.0.1 not starting[ Go to top ]

    I followed the instructions that were given and it did help.